Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007903TestLinkCode alignmentpublic2017-03-28 12:042017-04-08 08:39
ReporterabIng 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007903: cke_pastebin - missing changes for udpdate operations
DescriptionThank you for the quick and dirty solution of the problem http://mantis.testlink.org/view.php?id=7643 [^] related to copy and paste Under chrome.
I integrated it into my testlink after some modifications - see the section "Steps to reproduce".

One modification is related to a typing error Inside CKEditorCopyAndPasteCleanUp function.

Another one is due to the fact that the problem appears not only during create but also during update.

I tested the solution by simulating the problem, and I integrated additional logging to capture the problem as it appears.
Steps To ReproduceModifications:
1) In function CKEditorCopyAndPasteCleanUp replace
$items->$fi = str_ireplace($offending,$good,$items->$fi);
by
$items[$fi] = str_ireplace($offending,$good,$items[$fi]);

2) At the very beginning of the function update insert the code:
$tmp = array('summary' => $summary,'precondition' => $preconditions);
$this->CKEditorCopyAndPasteCleanUp($tmp,array('summary','precondition'));
$summary = $tmp['summary'];
$precondition = $tmp['precondition'];

3) At the very beginning of the function update_step insert the code:
$tmp = array('actions' => $actions,'expected_results' => $expected_results);
$this->CKEditorCopyAndPasteCleanUp($tmp,array('actions','expected_results'));
$actions = $tmp['actions'];
$expected_results = $tmp['expected_results'];


Additional InformationImplemented under 1.9.14 but it is the same for 1.9.16.
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0007643resolvedfman Some testcases in edit mode appear blank and canĀ“t edit (reason: <body id="cke_pastebin") 

-  Notes
(0026217)
fman (administrator)
2017-03-28 14:51

surely I've missed the apply fix to update and other situations.
thanks for help

regards
(0026221)
fman (administrator)
2017-03-28 21:28

>> One modification is related to a typing error Inside CKEditorCopyAndPasteCleanUp function.
Can you explain what is the typo error?
(0026222)
fman (administrator)
2017-03-28 21:32

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/3e79efa9cc3dd766283150251d6c4d636c4ba490 [^]
(0026223)
fman (administrator)
2017-03-28 21:33

Please get code , apply , retest & provide feedback
(0026224)
abIng (reporter)
2017-03-29 08:24

Everything is OK except one line 619 in the function createVersion.
Instead of
$this->CKEditorCopyAndPasteCleanUp($item,array('summary','precondition'));
should be:
$this->CKEditorCopyAndPasteCleanUp($item,array('summary','preconditions'));
(0026226)
fman (administrator)
2017-03-29 20:07

thanks a lot => commit done

- Issue History
Date Modified Username Field Change
2017-03-28 12:04 abIng New Issue
2017-03-28 14:51 fman Note Added: 0026217
2017-03-28 21:28 fman Note Added: 0026221
2017-03-28 21:30 fman Relationship added related to 0007643
2017-03-28 21:30 fman QA Team - Task Workflow Status => TBD
2017-03-28 21:30 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-03-28 21:31 fman Summary Again cke_pastebin - some improvements => cke_pastebin - missing changes for udpdate operations
2017-03-28 21:32 fman Note Added: 0026222
2017-03-28 21:33 fman Note Added: 0026223
2017-03-28 21:33 fman Assigned To => fman
2017-03-28 21:33 fman Status new => feedback
2017-03-29 08:24 abIng Note Added: 0026224
2017-03-29 08:24 abIng Status feedback => assigned
2017-03-29 20:07 fman Note Added: 0026226
2017-03-29 21:44 fman Status assigned => feedback
2017-04-08 08:39 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-04-08 08:39 fman Status feedback => resolved
2017-04-08 08:39 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker